diff --git a/main/dependencies/qt3/include/jpegint.h b/main/dependencies/qt3/include/jpegint.h
deleted file mode 120000
index d599d83..0000000
--- a/main/dependencies/qt3/include/jpegint.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libjpeg/jpegint.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/jpeglib.h b/main/dependencies/qt3/include/jpeglib.h
deleted file mode 120000
index f691493..0000000
--- a/main/dependencies/qt3/include/jpeglib.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libjpeg/jpeglib.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng.h b/main/dependencies/qt3/include/libmng.h
deleted file mode 120000
index 5216e58..0000000
--- a/main/dependencies/qt3/include/libmng.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_chunk_io.h b/main/dependencies/qt3/include/libmng_chunk_io.h
deleted file mode 120000
index 7565443..0000000
--- a/main/dependencies/qt3/include/libmng_chunk_io.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_chunk_io.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_chunk_prc.h b/main/dependencies/qt3/include/libmng_chunk_prc.h
deleted file mode 120000
index 91d73ee..0000000
--- a/main/dependencies/qt3/include/libmng_chunk_prc.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_chunk_prc.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_chunks.h b/main/dependencies/qt3/include/libmng_chunks.h
deleted file mode 120000
index 1f0f74a..0000000
--- a/main/dependencies/qt3/include/libmng_chunks.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_chunks.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_cms.h b/main/dependencies/qt3/include/libmng_cms.h
deleted file mode 120000
index a8f1ae6..0000000
--- a/main/dependencies/qt3/include/libmng_cms.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_cms.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_conf.h b/main/dependencies/qt3/include/libmng_conf.h
deleted file mode 120000
index e3de213..0000000
--- a/main/dependencies/qt3/include/libmng_conf.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_conf.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_data.h b/main/dependencies/qt3/include/libmng_data.h
deleted file mode 120000
index 3267e66..0000000
--- a/main/dependencies/qt3/include/libmng_data.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_data.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_display.h b/main/dependencies/qt3/include/libmng_display.h
deleted file mode 120000
index 4a54eea..0000000
--- a/main/dependencies/qt3/include/libmng_display.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_display.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_dither.h b/main/dependencies/qt3/include/libmng_dither.h
deleted file mode 120000
index ee5e05d..0000000
--- a/main/dependencies/qt3/include/libmng_dither.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_dither.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_error.h b/main/dependencies/qt3/include/libmng_error.h
deleted file mode 120000
index 6bb1fa5..0000000
--- a/main/dependencies/qt3/include/libmng_error.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_error.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_filter.h b/main/dependencies/qt3/include/libmng_filter.h
deleted file mode 120000
index 285d646..0000000
--- a/main/dependencies/qt3/include/libmng_filter.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_filter.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_jpeg.h b/main/dependencies/qt3/include/libmng_jpeg.h
deleted file mode 120000
index 872135b..0000000
--- a/main/dependencies/qt3/include/libmng_jpeg.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_jpeg.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_memory.h b/main/dependencies/qt3/include/libmng_memory.h
deleted file mode 120000
index 40a5d08..0000000
--- a/main/dependencies/qt3/include/libmng_memory.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_memory.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_object_prc.h b/main/dependencies/qt3/include/libmng_object_prc.h
deleted file mode 120000
index b4e12cc..0000000
--- a/main/dependencies/qt3/include/libmng_object_prc.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_object_prc.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_objects.h b/main/dependencies/qt3/include/libmng_objects.h
deleted file mode 120000
index 30b188b..0000000
--- a/main/dependencies/qt3/include/libmng_objects.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_objects.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_pixels.h b/main/dependencies/qt3/include/libmng_pixels.h
deleted file mode 120000
index 6f4b160..0000000
--- a/main/dependencies/qt3/include/libmng_pixels.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_pixels.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_read.h b/main/dependencies/qt3/include/libmng_read.h
deleted file mode 120000
index f6e9b41..0000000
--- a/main/dependencies/qt3/include/libmng_read.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_read.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_trace.h b/main/dependencies/qt3/include/libmng_trace.h
deleted file mode 120000
index 0139f60..0000000
--- a/main/dependencies/qt3/include/libmng_trace.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_trace.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_types.h b/main/dependencies/qt3/include/libmng_types.h
deleted file mode 120000
index 776a691..0000000
--- a/main/dependencies/qt3/include/libmng_types.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_types.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_write.h b/main/dependencies/qt3/include/libmng_write.h
deleted file mode 120000
index 6092f18..0000000
--- a/main/dependencies/qt3/include/libmng_write.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_write.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/libmng_zlib.h b/main/dependencies/qt3/include/libmng_zlib.h
deleted file mode 120000
index 77c133a..0000000
--- a/main/dependencies/qt3/include/libmng_zlib.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libmng/libmng_zlib.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/png.h b/main/dependencies/qt3/include/png.h
deleted file mode 120000
index 9e0e764..0000000
--- a/main/dependencies/qt3/include/png.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/libpng/png.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/zconf.h b/main/dependencies/qt3/include/zconf.h
deleted file mode 120000
index d9c71de..0000000
--- a/main/dependencies/qt3/include/zconf.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/zlib/zconf.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/zconf.in.h b/main/dependencies/qt3/include/zconf.in.h
deleted file mode 120000
index 2103bfc..0000000
--- a/main/dependencies/qt3/include/zconf.in.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/zlib/zconf.in.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/zlib.h b/main/dependencies/qt3/include/zlib.h
deleted file mode 120000
index 1b17c8c..0000000
--- a/main/dependencies/qt3/include/zlib.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/zlib/zlib.h
\ No newline at end of file
diff --git a/main/dependencies/qt3/include/zutil.h b/main/dependencies/qt3/include/zutil.h
deleted file mode 120000
index d71580a..0000000
--- a/main/dependencies/qt3/include/zutil.h
+++ /dev/null
@@ -1 +0,0 @@
-../src/3rdparty/zlib/zutil.h
\ No newline at end of file