diff -uNr --label tdebase tdebase tdebase/kcontrol/krdb/CMakeLists.txt
--- tdebase
+++ tdebase/kcontrol/krdb/CMakeLists.txt	2014-01-20 00:21:44.704909483 -0600
@@ -23,6 +23,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 ##### other data ################################
diff -uNr --label tdebase tdebase tdebase/khelpcenter/CMakeLists.txt
--- tdebase
+++ tdebase/khelpcenter/CMakeLists.txt	2014-01-20 00:21:44.708909541 -0600
@@ -22,6 +22,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 
diff -uNr --label tdebase tdebase tdebase/khotkeys/kcontrol/CMakeLists.txt
--- tdebase
+++ tdebase/khotkeys/kcontrol/CMakeLists.txt	2014-01-20 00:21:44.709909556 -0600
@@ -23,6 +23,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 
diff -uNr --label tdebase tdebase tdebase/kicker/applets/launcher/CMakeLists.txt
--- tdebase
+++ tdebase/kicker/applets/launcher/CMakeLists.txt	2014-01-20 00:22:07.658238584 -0600
@@ -21,6 +21,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 
diff -uNr --label tdebase tdebase tdebase/kicker/kicker/CMakeLists.txt
--- tdebase
+++ tdebase/kicker/kicker/CMakeLists.txt	2014-01-20 00:21:44.712909599 -0600
@@ -23,7 +23,10 @@
   ${TDE_INCLUDE_DIR}
   ${TQT_INCLUDE_DIRS} )
 
-link_directories( ${TQT_LIBRARY_DIRS} )
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
+)
 
 
 ##### other data ################################
diff -uNr --label tdebase tdebase tdebase/kicker/taskmanager/CMakeLists.txt
--- tdebase
+++ tdebase/kicker/taskmanager/CMakeLists.txt	2014-01-20 00:21:44.714909627 -0600
@@ -38,6 +38,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 
diff -uNr --label tdebase tdebase tdebase/kreadconfig/CMakeLists.txt
--- tdebase
+++ tdebase/kreadconfig/CMakeLists.txt	2014-01-20 00:21:44.714909627 -0600
@@ -16,6 +16,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 
diff -uNr --label tdebase tdebase tdebase/kstart/CMakeLists.txt
--- tdebase
+++ tdebase/kstart/CMakeLists.txt	2014-01-20 00:21:44.717909669 -0600
@@ -17,6 +17,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 
diff -uNr --label tdebase tdebase tdebase/nsplugins/CMakeLists.txt
--- tdebase
+++ tdebase/nsplugins/CMakeLists.txt	2014-01-20 00:21:44.718909684 -0600
@@ -20,6 +20,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 
diff -uNr --label tdebase tdebase tdebase/tdeinit/CMakeLists.txt
--- tdebase
+++ tdebase/tdeinit/CMakeLists.txt	2014-01-20 00:21:44.718909684 -0600
@@ -17,6 +17,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 
diff -uNr --label tdebase tdebase tdebase/tdeioslave/thumbnail/CMakeLists.txt
--- tdebase
+++ tdebase/tdeioslave/thumbnail/CMakeLists.txt	2014-01-20 00:21:44.719909699 -0600
@@ -33,6 +33,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 
diff -uNr --label tdebase tdebase tdebase/tqt3integration/utils/CMakeLists.txt
--- tdebase
+++ tdebase/tqt3integration/utils/CMakeLists.txt	2014-01-20 00:21:44.720909714 -0600
@@ -21,6 +21,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 ##### gen (internal executable) ########################
diff -uNr --label tdebase tdebase tdebase/twin/clients/default/CMakeLists.txt
--- tdebase
+++ tdebase/twin/clients/default/CMakeLists.txt	2014-01-20 00:21:44.720909714 -0600
@@ -20,6 +20,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 
diff -uNr --label tdebase tdebase tdebase/twin/clients/redmond/CMakeLists.txt
--- tdebase
+++ tdebase/twin/clients/redmond/CMakeLists.txt	2014-01-20 00:21:44.721909728 -0600
@@ -18,6 +18,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 
diff -uNr --label tdebase tdebase tdebase/twin/data/CMakeLists.txt
--- tdebase
+++ tdebase/twin/data/CMakeLists.txt	2014-01-20 00:21:44.721909728 -0600
@@ -16,6 +16,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 
diff -uNr --label tdebase tdebase tdebase/twin/lib/CMakeLists.txt
--- tdebase
+++ tdebase/twin/lib/CMakeLists.txt	2014-01-20 00:21:44.723909756 -0600
@@ -18,6 +18,7 @@
 
 link_directories(
   ${TQT_LIBRARY_DIRS}
+  ${DBUS_TQT_LIBRARY_DIRS}
 )
 
 