commit 6f5d62f8e100b3b589166766562e7bafb1d42f2f
Author: Michele Calgaro <michele.calgaro@yahoo.it>
Date:   Tue Dec 2 13:34:59 2014 +0900

    Fixed help handbook documentation for Internet & Network -> Network Settings. This relates to bug 1850.

diff --git a/doc/knetworkconf/index.docbook b/doc/knetworkconf/index.docbook
index 2483880..5056088 100644
--- a/doc/knetworkconf/index.docbook
+++ b/doc/knetworkconf/index.docbook
@@ -224,7 +224,7 @@ format="PNG"/>
 </screenshot>
 
 <para>Once in <quote>administrator mode</quote> all the modules
-functionality is enable. Functionality is organized into three tabs:</para>
+functionality is enable. Functionality is organized into four tabs:</para>
 
 <itemizedlist>
 <listitem>
@@ -242,6 +242,11 @@ functionality is enable. Functionality is organized into three tabs:</para>
 <xref linkend="dns"/>
 </para>
 </listitem>
+<listitem>
+<para>
+<xref linkend="profile"/>
+</para>
+</listitem>
 </itemizedlist>
 
 <sect1 id="network-interfaces">
@@ -682,6 +687,12 @@ button.</para>
 </procedure>
 </sect2>
 </sect1>
+
+<sect1 id="profile">
+<title>Managing Network Profiles</title>
+<para>We apologize. This section has not been written yet.</para>
+</sect1>
+
 </chapter>
 
 <chapter id="applying-changes">
diff --git a/knetworkconf/knetworkconf/knetworkconf.cpp b/knetworkconf/knetworkconf/knetworkconf.cpp
index 0ef9461..9459cb1 100644
--- a/knetworkconf/knetworkconf/knetworkconf.cpp
+++ b/knetworkconf/knetworkconf/knetworkconf.cpp
@@ -1187,21 +1187,19 @@ void KNetworkConf::updateProfileSlot()
   }
 }
 
-TQString KNetworkConf::handbookSection() const
+TQString KNetworkConf::handbookDocPath() const
 {
-	// FIXME
-	// No context-sensitive help documentation currently exists for this module!
-	// This module is somewhat unique in having comprehensive usage documentation available, but this
-	// documentation is not organized by tab and is split up across multiple docbooks.
-	// A GUI-centric brief help docbook should be added with links back to the main Network Configuration help.
 	int index = tabWidget->currentPageIndex();
-	if (index == 0) {
-		//return "";
+	if (index == 0)
+		return "knetworkconf/using-the-module.html#network-interfaces";
+	else if (index == 1)
+		return "knetworkconf/route.html";
+	else if (index == 2)
+		return "knetworkconf/dns.html";
+	else if (index == 3)
+		return "knetworkconf/profile.html";
+	else
 		return TQString::null;
-	}
-	else {
-		return TQString::null;
-	}
 }
 
 #include "knetworkconf.moc"
diff --git a/knetworkconf/knetworkconf/knetworkconf.h b/knetworkconf/knetworkconf/knetworkconf.h
index 2ff75c5..9daa2e5 100644
--- a/knetworkconf/knetworkconf/knetworkconf.h
+++ b/knetworkconf/knetworkconf/knetworkconf.h
@@ -98,7 +98,7 @@ class KNetworkConf : public KNetworkConfDlg, virtual public KNetworkConfIface
     void loadDNSInfo();
     void loadNetworkProfiles();
 
-    TQString handbookSection() const;
+    TQString handbookDocPath() const;
 
   private: // Private attributes
     /**  */
diff --git a/knetworkconf/knetworkconf/knetworkconfmodule.cpp b/knetworkconf/knetworkconf/knetworkconfmodule.cpp
index c05e500..774bde0 100644
--- a/knetworkconf/knetworkconf/knetworkconfmodule.cpp
+++ b/knetworkconf/knetworkconf/knetworkconfmodule.cpp
@@ -113,9 +113,9 @@ TQString KNetworkConfModule::quickHelp() const
   return i18n("%1Network configuration%2This module allows you to configure your TCP/IP settings.%3").arg("<h1>").arg("</h1><p>").arg("</p>");
 }
 
-TQString KNetworkConfModule::handbookSection() const
+TQString KNetworkConfModule::handbookDocPath() const
 {
-  return conf->handbookSection();
+  return conf->handbookDocPath();
 }
 
 //#include "knetworkconfmodule.moc"
diff --git a/knetworkconf/knetworkconf/knetworkconfmodule.h b/knetworkconf/knetworkconf/knetworkconfmodule.h
index 8e7c41f..772a65e 100644
--- a/knetworkconf/knetworkconf/knetworkconfmodule.h
+++ b/knetworkconf/knetworkconf/knetworkconfmodule.h
@@ -40,7 +40,7 @@ public:
   TDEAboutData* aboutData() const;
   TQString quickHelp() const;
 
-  virtual TQString handbookSection() const;
+  virtual TQString handbookDocPath() const;
 
 private slots:
   void configChanged(bool);