diff -uNr old/crystal-1.0.7/acinclude.m4 crystal-1.0.7/acinclude.m4
--- old/crystal-1.0.7/acinclude.m4	2009-02-01 12:40:37.000000000 -0600
+++ crystal-1.0.7/acinclude.m4	2012-02-28 09:16:49.405694203 -0600
@@ -1704,7 +1704,7 @@
   AC_SUBST(KDE_NO_UNDEFINED)
 ])
 
-dnl Check if the linker supports --enable-new-dtags and --as-needed
+dnl Check if the linker supports --enable-new-dtags
 AC_DEFUN([KDE_CHECK_NEW_LDFLAGS],
 [
   AC_ARG_ENABLE(new_ldflags,
@@ -1720,8 +1720,8 @@
        KDE_CHECK_COMPILER_FLAG([Wl,--enable-new-dtags],
 		[LDFLAGS_NEW_DTAGS="-Wl,--enable-new-dtags"],)
 
-       KDE_CHECK_COMPILER_FLAG([Wl,--as-needed],
-		[LDFLAGS_AS_NEEDED="-Wl,--as-needed"],)
+       KDE_CHECK_COMPILER_FLAG([Wl],
+		[LDFLAGS_AS_NEEDED="-Wl"],)
   fi
   AC_SUBST(LDFLAGS_AS_NEEDED)
   AC_SUBST(LDFLAGS_NEW_DTAGS)
@@ -2069,7 +2069,7 @@
        esac
    AC_SUBST(LIB_KDED, $lib_kded)
    AC_SUBST(LIB_KDECORE, "-lkdecore")
-   AC_SUBST(LIB_KDEUI, "-lkdeui")
+   AC_SUBST(LIB_KDEUI, "-ltdeui")
    AC_SUBST(LIB_KIO, "-lkio")
    AC_SUBST(LIB_KJS, "-lkjs")
    AC_SUBST(LIB_SMB, "-lsmb")
@@ -2090,7 +2090,7 @@
    AC_SUBST(LIB_KFILE, "-lkio")
 elif test $kde_qtver = 2; then
    AC_SUBST(LIB_KDECORE, "-lkdecore")
-   AC_SUBST(LIB_KDEUI, "-lkdeui")
+   AC_SUBST(LIB_KDEUI, "-ltdeui")
    AC_SUBST(LIB_KIO, "-lkio")
    AC_SUBST(LIB_KSYCOCA, "-lksycoca")
    AC_SUBST(LIB_SMB, "-lsmb")
@@ -2102,7 +2102,7 @@
    AC_SUBST(LIB_KDEPRINT, "-lkdeprint")
 else
    AC_SUBST(LIB_KDECORE, "-lkdecore -lXext $(LIB_QT)")
-   AC_SUBST(LIB_KDEUI, "-lkdeui $(LIB_KDECORE)")
+   AC_SUBST(LIB_KDEUI, "-ltdeui $(LIB_KDECORE)")
    AC_SUBST(LIB_KFM, "-lkfm $(LIB_KDECORE)")
    AC_SUBST(LIB_KFILE, "-lkfile $(LIB_KFM) $(LIB_KDEUI)")
    AC_SUBST(LIB_KAB, "-lkab $(LIB_KIMGIO) $(LIB_KDECORE)")
diff -uNr old/crystal-1.0.7/aclocal.m4 crystal-1.0.7/aclocal.m4
--- old/crystal-1.0.7/aclocal.m4	2009-02-01 12:40:39.000000000 -0600
+++ crystal-1.0.7/aclocal.m4	2012-02-28 09:16:54.855319808 -0600
@@ -1716,7 +1716,7 @@
   AC_SUBST(KDE_NO_UNDEFINED)
 ])
 
-dnl Check if the linker supports --enable-new-dtags and --as-needed
+dnl Check if the linker supports --enable-new-dtags
 AC_DEFUN([KDE_CHECK_NEW_LDFLAGS],
 [
   AC_ARG_ENABLE(new_ldflags,
@@ -1732,8 +1732,8 @@
        KDE_CHECK_COMPILER_FLAG([Wl,--enable-new-dtags],
 		[LDFLAGS_NEW_DTAGS="-Wl,--enable-new-dtags"],)
 
-       KDE_CHECK_COMPILER_FLAG([Wl,--as-needed],
-		[LDFLAGS_AS_NEEDED="-Wl,--as-needed"],)
+       KDE_CHECK_COMPILER_FLAG([Wl],
+		[LDFLAGS_AS_NEEDED="-Wl"],)
   fi
   AC_SUBST(LDFLAGS_AS_NEEDED)
   AC_SUBST(LDFLAGS_NEW_DTAGS)
@@ -2081,7 +2081,7 @@
        esac
    AC_SUBST(LIB_KDED, $lib_kded)
    AC_SUBST(LIB_KDECORE, "-lkdecore")
-   AC_SUBST(LIB_KDEUI, "-lkdeui")
+   AC_SUBST(LIB_KDEUI, "-ltdeui")
    AC_SUBST(LIB_KIO, "-lkio")
    AC_SUBST(LIB_KJS, "-lkjs")
    AC_SUBST(LIB_SMB, "-lsmb")
@@ -2102,7 +2102,7 @@
    AC_SUBST(LIB_KFILE, "-lkio")
 elif test $kde_qtver = 2; then
    AC_SUBST(LIB_KDECORE, "-lkdecore")
-   AC_SUBST(LIB_KDEUI, "-lkdeui")
+   AC_SUBST(LIB_KDEUI, "-ltdeui")
    AC_SUBST(LIB_KIO, "-lkio")
    AC_SUBST(LIB_KSYCOCA, "-lksycoca")
    AC_SUBST(LIB_SMB, "-lsmb")
@@ -2114,7 +2114,7 @@
    AC_SUBST(LIB_KDEPRINT, "-lkdeprint")
 else
    AC_SUBST(LIB_KDECORE, "-lkdecore -lXext $(LIB_QT)")
-   AC_SUBST(LIB_KDEUI, "-lkdeui $(LIB_KDECORE)")
+   AC_SUBST(LIB_KDEUI, "-ltdeui $(LIB_KDECORE)")
    AC_SUBST(LIB_KFM, "-lkfm $(LIB_KDECORE)")
    AC_SUBST(LIB_KFILE, "-lkfile $(LIB_KFM) $(LIB_KDEUI)")
    AC_SUBST(LIB_KAB, "-lkab $(LIB_KIMGIO) $(LIB_KDECORE)")
diff -uNr old/crystal-1.0.7/admin/acinclude.m4.in crystal-1.0.7/admin/acinclude.m4.in
--- old/crystal-1.0.7/admin/acinclude.m4.in	2007-04-24 16:58:24.000000000 -0500
+++ crystal-1.0.7/admin/acinclude.m4.in	2012-02-28 09:17:07.157808526 -0600
@@ -1704,7 +1704,7 @@
   AC_SUBST(KDE_NO_UNDEFINED)
 ])
 
-dnl Check if the linker supports --enable-new-dtags and --as-needed
+dnl Check if the linker supports --enable-new-dtags
 AC_DEFUN([KDE_CHECK_NEW_LDFLAGS],
 [
   AC_ARG_ENABLE(new_ldflags,
@@ -1720,8 +1720,8 @@
        KDE_CHECK_COMPILER_FLAG([Wl,--enable-new-dtags],
 		[LDFLAGS_NEW_DTAGS="-Wl,--enable-new-dtags"],)
 
-       KDE_CHECK_COMPILER_FLAG([Wl,--as-needed],
-		[LDFLAGS_AS_NEEDED="-Wl,--as-needed"],)
+       KDE_CHECK_COMPILER_FLAG([Wl],
+		[LDFLAGS_AS_NEEDED="-Wl"],)
   fi
   AC_SUBST(LDFLAGS_AS_NEEDED)
   AC_SUBST(LDFLAGS_NEW_DTAGS)
@@ -2069,7 +2069,7 @@
        esac
    AC_SUBST(LIB_KDED, $lib_kded)
    AC_SUBST(LIB_KDECORE, "-lkdecore")
-   AC_SUBST(LIB_KDEUI, "-lkdeui")
+   AC_SUBST(LIB_KDEUI, "-ltdeui")
    AC_SUBST(LIB_KIO, "-lkio")
    AC_SUBST(LIB_KJS, "-lkjs")
    AC_SUBST(LIB_SMB, "-lsmb")
@@ -2090,7 +2090,7 @@
    AC_SUBST(LIB_KFILE, "-lkio")
 elif test $kde_qtver = 2; then
    AC_SUBST(LIB_KDECORE, "-lkdecore")
-   AC_SUBST(LIB_KDEUI, "-lkdeui")
+   AC_SUBST(LIB_KDEUI, "-ltdeui")
    AC_SUBST(LIB_KIO, "-lkio")
    AC_SUBST(LIB_KSYCOCA, "-lksycoca")
    AC_SUBST(LIB_SMB, "-lsmb")
@@ -2102,7 +2102,7 @@
    AC_SUBST(LIB_KDEPRINT, "-lkdeprint")
 else
    AC_SUBST(LIB_KDECORE, "-lkdecore -lXext $(LIB_QT)")
-   AC_SUBST(LIB_KDEUI, "-lkdeui $(LIB_KDECORE)")
+   AC_SUBST(LIB_KDEUI, "-ltdeui $(LIB_KDECORE)")
    AC_SUBST(LIB_KFM, "-lkfm $(LIB_KDECORE)")
    AC_SUBST(LIB_KFILE, "-lkfile $(LIB_KFM) $(LIB_KDEUI)")
    AC_SUBST(LIB_KAB, "-lkab $(LIB_KIMGIO) $(LIB_KDECORE)")
diff -uNr old/crystal-1.0.7/client/myrootpixmap.cc crystal-1.0.7/client/myrootpixmap.cc
--- old/crystal-1.0.7/client/myrootpixmap.cc	2004-09-21 14:15:58.000000000 -0500
+++ crystal-1.0.7/client/myrootpixmap.cc	2012-02-28 00:15:23.696954318 -0600
@@ -2,7 +2,7 @@
  *
  * $Id: krootpixmap.cpp,v 1.20 2003/06/01 01:49:31 hadacek Exp $
  *
- * This file is part of the KDE project, module kdeui.
+ * This file is part of the KDE project, module tdeui.
  * Copyright (C) 1999,2000 Geert Jansen <jansen@kde.org>
  *
  * You can Freely distribute this program under the GNU Library
diff -uNr old/crystal-1.0.7/configure crystal-1.0.7/configure
--- old/crystal-1.0.7/configure	2009-02-01 12:40:45.000000000 -0600
+++ crystal-1.0.7/configure	2012-02-28 09:15:38.640553787 -0600
@@ -7478,9 +7478,9 @@
 
 
 
-{ $as_echo "$as_me:$LINENO: checking whether $CXX supports -Wl,--as-needed" >&5
-$as_echo_n "checking whether $CXX supports -Wl,--as-needed... " >&6; }
-kde_cache=`echo Wl,--as-needed | sed 'y% .=/+-,%____p__%'`
+{ $as_echo "$as_me:$LINENO: checking whether $CXX supports -Wl" >&5
+$as_echo_n "checking whether $CXX supports -Wl... " >&6; }
+kde_cache=`echo Wl | sed 'y% .=/+-,%____p__%'`
 if { as_var=kde_cv_prog_cxx_$kde_cache; eval "test \"\${$as_var+set}\" = set"; }; then
   $as_echo_n "(cached) " >&6
 else
@@ -7496,7 +7496,7 @@
 
 
   save_CXXFLAGS="$CXXFLAGS"
-  CXXFLAGS="$CXXFLAGS -Wl,--as-needed"
+  CXXFLAGS="$CXXFLAGS -Wl"
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -7558,7 +7558,7 @@
  { $as_echo "$as_me:$LINENO: result: yes" >&5
 $as_echo "yes" >&6; }
  :
- LDFLAGS_AS_NEEDED="-Wl,--as-needed"
+ LDFLAGS_AS_NEEDED="-Wl"
 else
  { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
@@ -33061,7 +33061,7 @@
 
    LIB_KDECORE="-lkdecore"
 
-   LIB_KDEUI="-lkdeui"
+   LIB_KDEUI="-ltdeui"
 
    LIB_KIO="-lkio"
 
@@ -33101,7 +33101,7 @@
 elif test $kde_qtver = 2; then
    LIB_KDECORE="-lkdecore"
 
-   LIB_KDEUI="-lkdeui"
+   LIB_KDEUI="-ltdeui"
 
    LIB_KIO="-lkio"
 
@@ -33124,7 +33124,7 @@
 else
    LIB_KDECORE="-lkdecore -lXext $(LIB_QT)"
 
-   LIB_KDEUI="-lkdeui $(LIB_KDECORE)"
+   LIB_KDEUI="-ltdeui $(LIB_KDECORE)"
 
    LIB_KFM="-lkfm $(LIB_KDECORE)"
 