diff -urN tdebase/kcontrol/smserver/kcmsmserver.cpp tdebase.new/kcontrol/smserver/kcmsmserver.cpp
--- tdebase/kcontrol/smserver/kcmsmserver.cpp	2012-03-23 19:54:32.000000000 -0500
+++ tdebase.new/kcontrol/smserver/kcmsmserver.cpp	2012-04-06 21:48:14.000000000 -0500
@@ -92,6 +92,9 @@
   }
   dialog->excludeLineedit->setText( c->readEntry("excludeApps"));
 
+  c->setGroup("Logout");
+  dialog->showFeedbackDialog->setChecked(c->readBoolEntry("showFeedbackDlg", true));
+
   delete c;
 
   emit changed(useDefaults);
@@ -103,6 +106,7 @@
   c->setGroup("General");
   c->writeEntry( "confirmLogout", dialog->confirmLogoutCheck->isChecked());
   c->writeEntry( "offerShutdown", dialog->offerShutdownCheck->isChecked());
+
   TQString s = "restorePreviousLogout";
   if ( dialog->emptySessionRadio->isChecked() )
       s = "default";
@@ -117,6 +121,8 @@
                      int(KApplication::ShutdownTypeReboot) :
                      int(KApplication::ShutdownTypeNone));
   c->writeEntry("excludeApps", dialog->excludeLineedit->text());
+  c->setGroup("Logout");
+  c->writeEntry( "showFeedbackDlg", dialog->showFeedbackDialog->isChecked());
   c->sync();
   delete c;
 
diff -urN tdebase/kcontrol/smserver/smserverconfigdlg.ui tdebase.new/kcontrol/smserver/smserverconfigdlg.ui
--- tdebase/kcontrol/smserver/smserverconfigdlg.ui	2012-03-23 19:54:32.000000000 -0500
+++ tdebase.new/kcontrol/smserver/smserverconfigdlg.ui	2012-04-06 21:11:15.000000000 -0500
@@ -62,6 +62,17 @@
                         <string>O&amp;ffer shutdown options</string>
                     </property>
                 </widget>
+                <widget class="TQCheckBox">
+                    <property name="name">
+                        <cstring>showFeedbackDialog</cstring>
+                    </property>
+                    <property name="text">
+                        <string>Show feed&amp;back dialog</string>
+                    </property>
+                    <property name="whatsThis" stdset="0">
+                        <string>Check this option if you want to see a feedback dialog box.</string>
+                    </property>
+                </widget>
             </vbox>
         </widget>
         <widget class="TQButtonGroup">
@@ -205,6 +216,12 @@
         <signal>toggled(bool)</signal>
         <receiver>SMServerConfigDlg</receiver>
         <slot>configChanged()</slot>
+    </connection>
+    <connection>
+        <sender>showFeedbackDialog</sender>
+        <signal>toggled(bool)</signal>
+        <receiver>SMServerConfigDlg</receiver>
+        <slot>configChanged()</slot>
     </connection>
     <connection>
         <sender>loginGroup</sender>
diff -urN tdebase/ksmserver/shutdown.cpp tdebase.new/ksmserver/shutdown.cpp
--- tdebase/ksmserver/shutdown.cpp	2012-03-23 19:53:58.000000000 -0500
+++ tdebase.new/ksmserver/shutdown.cpp	2012-04-06 19:52:44.000000000 -0500
@@ -160,10 +160,10 @@
     if (sdmode == KApplication::ShutdownModeDefault)
         sdmode = KApplication::ShutdownModeInteractive;
 
-    // shall we show a nice fancy logout screen?
-    bool showFancyLogout = KConfigGroup(KGlobal::config(), "Logout").readBoolEntry("showFancyLogout", true);
+    // shall we show a logout feedback dialog box?
+    bool showFeedbackDlg = KConfigGroup(KGlobal::config(), "Logout").readBoolEntry("showFeedbackDlg", true);
 
-    if (showFancyLogout) {
+    if (showFeedbackDlg) {
         KSMShutdownIPFeedback::start();
     }
 
@@ -189,7 +189,7 @@
         // shall we save the session on logout?
         saveSession = ( config->readEntry( "loginMode", "restorePreviousLogout" ) == "restorePreviousLogout" );
 
-        if (showFancyLogout) {
+        if (showFeedbackDlg) {
             KSMShutdownIPFeedback::showit(); // hide the UGLY logout process from the user
             shutdownNotifierIPDlg = KSMShutdownIPDlg::showShutdownIP();
             while (!KSMShutdownIPFeedback::ispainted()) {
@@ -212,7 +212,7 @@
 
         // Set the real desktop background to black so that exit looks
         // clean regardless of what was on "our" desktop.
-        if (!showFancyLogout) {
+        if (!showFeedbackDlg) {
             TQT_TQWIDGET(kapp->desktop())->setBackgroundColor( Qt::black );
         }
         state = Shutdown;
@@ -252,7 +252,7 @@
             completeShutdownOrCheckpoint();
     }
     else {
-        if (showFancyLogout) {
+        if (showFeedbackDlg) {
             KSMShutdownIPFeedback::stop();
         }
     }