diff -uNr /dat_f/tde/tde/main/applications/krename/acinclude.m4 krename/acinclude.m4
--- /dat_f/tde/tde/main/applications/krename/acinclude.m4	2012-06-28 14:49:43.866561491 -0500
+++ krename/acinclude.m4	2012-08-08 14:58:12.158918217 -0500
@@ -371,7 +371,7 @@
   fi
 
 AC_MSG_CHECKING([for KDE libraries installed])
-ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -ltdecore $LIBQT $KDE_TEST_RPATH 1>&5'
+ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -lkdecore $LIBQT $KDE_TEST_RPATH 1>&5'
 
 if AC_TRY_EVAL(ac_link) && test -s conftest; then
   AC_MSG_RESULT(yes)
@@ -2064,12 +2064,12 @@
 
 if test $kde_qtver = 3; then
    case $host in 
-               *cygwin*) lib_kded="-ltdeinit_kded" ;;
+               *cygwin*) lib_kded="-lkdeinit_kded" ;;
                *) lib_kded="" ;;
        esac
    AC_SUBST(LIB_KDED, $lib_kded)
-   AC_SUBST(LIB_TDECORE, "-ltdecore")
-   AC_SUBST(LIB_TDEUI, "-ltdeui")
+   AC_SUBST(LIB_TDECORE, "-lkdecore")
+   AC_SUBST(LIB_TDEUI, "-lkdeui")
    AC_SUBST(LIB_KIO, "-lkio")
    AC_SUBST(LIB_KJS, "-lkjs")
    AC_SUBST(LIB_SMB, "-lsmb")
@@ -2078,9 +2078,9 @@
    AC_SUBST(LIB_KHTML, "-lkhtml")
    AC_SUBST(LIB_KSPELL, "-lkspell")
    AC_SUBST(LIB_KPARTS, "-lkparts")
-   AC_SUBST(LIB_TDEPRINT, "-ltdeprint")
+   AC_SUBST(LIB_TDEPRINT, "-lkdeprint")
    AC_SUBST(LIB_KUTILS, "-lkutils")
-   AC_SUBST(LIB_TDEPIM, "-ltdepim")
+   AC_SUBST(LIB_TDEPIM, "-lkdepim")
    AC_SUBST(LIB_KIMPROXY, "-lkimproxy")
    AC_SUBST(LIB_KNEWSTUFF, "-lknewstuff")
    AC_SUBST(LIB_KDNSSD, "-lkdnssd")
@@ -2089,8 +2089,8 @@
    AC_SUBST(LIB_KSYCOCA, "-lkio")
    AC_SUBST(LIB_KFILE, "-lkio")
 elif test $kde_qtver = 2; then
-   AC_SUBST(LIB_TDECORE, "-ltdecore")
-   AC_SUBST(LIB_TDEUI, "-ltdeui")
+   AC_SUBST(LIB_TDECORE, "-lkdecore")
+   AC_SUBST(LIB_TDEUI, "-lkdeui")
    AC_SUBST(LIB_KIO, "-lkio")
    AC_SUBST(LIB_KSYCOCA, "-lksycoca")
    AC_SUBST(LIB_SMB, "-lsmb")
@@ -2099,10 +2099,10 @@
    AC_SUBST(LIB_KHTML, "-lkhtml")
    AC_SUBST(LIB_KSPELL, "-lkspell")
    AC_SUBST(LIB_KPARTS, "-lkparts")
-   AC_SUBST(LIB_TDEPRINT, "-ltdeprint")
+   AC_SUBST(LIB_TDEPRINT, "-lkdeprint")
 else
-   AC_SUBST(LIB_TDECORE, "-ltdecore -lXext $(LIB_QT)")
-   AC_SUBST(LIB_TDEUI, "-ltdeui $(LIB_TDECORE)")
+   AC_SUBST(LIB_TDECORE, "-lkdecore -lXext $(LIB_QT)")
+   AC_SUBST(LIB_TDEUI, "-lkdeui $(LIB_TDECORE)")
    AC_SUBST(LIB_KFM, "-lkfm $(LIB_TDECORE)")
    AC_SUBST(LIB_KFILE, "-lkfile $(LIB_KFM) $(LIB_TDEUI)")
    AC_SUBST(LIB_KAB, "-lkab $(LIB_KIMGIO) $(LIB_TDECORE)")
diff -uNr /dat_f/tde/tde/main/applications/krename/admin/acinclude.m4.in krename/admin/acinclude.m4.in
--- /dat_f/tde/tde/main/applications/krename/admin/acinclude.m4.in	2012-06-28 14:49:44.099881290 -0500
+++ krename/admin/acinclude.m4.in	2012-08-08 14:58:00.316284073 -0500
@@ -414,7 +414,7 @@
   fi
 
 AC_MSG_CHECKING([for TDE libraries installed])
-ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -ltdecore $LIBQT $KDE_TEST_RPATH 1>&5'
+ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -lkdecore $LIBQT $KDE_TEST_RPATH 1>&5'
 
 if AC_TRY_EVAL(ac_link) && test -s conftest; then
   AC_MSG_RESULT(yes)
@@ -2309,12 +2309,12 @@
 
 if test $kde_qtver = 4; then
    case $host in 
-               *cygwin*) lib_kded="-ltdeinit_kded" ;;
+               *cygwin*) lib_kded="-lkdeinit_kded" ;;
                *) lib_kded="" ;;
        esac
    AC_SUBST(LIB_KDED, $lib_kded)
-   AC_SUBST(LIB_TDECORE, "-ltdecore")
-   AC_SUBST(LIB_TDEUI, "-ltdeui")
+   AC_SUBST(LIB_TDECORE, "-lkdecore")
+   AC_SUBST(LIB_TDEUI, "-lkdeui")
    AC_SUBST(LIB_KIO, "-lkio")
    AC_SUBST(LIB_KJS, "-lkjs")
    AC_SUBST(LIB_SMB, "-lsmb")
@@ -2323,9 +2323,9 @@
    AC_SUBST(LIB_KHTML, "-lkhtml")
    AC_SUBST(LIB_KSPELL, "-lkspell")
    AC_SUBST(LIB_KPARTS, "-lkparts")
-   AC_SUBST(LIB_TDEPRINT, "-ltdeprint")
+   AC_SUBST(LIB_TDEPRINT, "-lkdeprint")
    AC_SUBST(LIB_KUTILS, "-lkutils")
-   AC_SUBST(LIB_TDEPIM, "-ltdepim")
+   AC_SUBST(LIB_TDEPIM, "-lkdepim")
    AC_SUBST(LIB_KIMPROXY, "-lkimproxy")
    AC_SUBST(LIB_KNEWSTUFF, "-lknewstuff")
    AC_SUBST(LIB_KDNSSD, "-lkdnssd")
@@ -2335,12 +2335,12 @@
    AC_SUBST(LIB_KFILE, "-lkio")
 elif test $kde_qtver = 3; then
    case $host in 
-               *cygwin*) lib_kded="-ltdeinit_kded" ;;
+               *cygwin*) lib_kded="-lkdeinit_kded" ;;
                *) lib_kded="" ;;
        esac
    AC_SUBST(LIB_KDED, $lib_kded)
-   AC_SUBST(LIB_TDECORE, "-ltdecore")
-   AC_SUBST(LIB_TDEUI, "-ltdeui")
+   AC_SUBST(LIB_TDECORE, "-lkdecore")
+   AC_SUBST(LIB_TDEUI, "-lkdeui")
    AC_SUBST(LIB_KIO, "-lkio")
    AC_SUBST(LIB_KJS, "-lkjs")
    AC_SUBST(LIB_SMB, "-lsmb")
@@ -2349,9 +2349,9 @@
    AC_SUBST(LIB_KHTML, "-lkhtml")
    AC_SUBST(LIB_KSPELL, "-lkspell")
    AC_SUBST(LIB_KPARTS, "-lkparts")
-   AC_SUBST(LIB_TDEPRINT, "-ltdeprint")
+   AC_SUBST(LIB_TDEPRINT, "-lkdeprint")
    AC_SUBST(LIB_KUTILS, "-lkutils")
-   AC_SUBST(LIB_TDEPIM, "-ltdepim")
+   AC_SUBST(LIB_TDEPIM, "-lkdepim")
    AC_SUBST(LIB_KIMPROXY, "-lkimproxy")
    AC_SUBST(LIB_KNEWSTUFF, "-lknewstuff")
    AC_SUBST(LIB_KDNSSD, "-lkdnssd")
@@ -2360,8 +2360,8 @@
    AC_SUBST(LIB_KSYCOCA, "-lkio")
    AC_SUBST(LIB_KFILE, "-lkio")
 elif test $kde_qtver = 2; then
-   AC_SUBST(LIB_TDECORE, "-ltdecore")
-   AC_SUBST(LIB_TDEUI, "-ltdeui")
+   AC_SUBST(LIB_TDECORE, "-lkdecore")
+   AC_SUBST(LIB_TDEUI, "-lkdeui")
    AC_SUBST(LIB_KIO, "-lkio")
    AC_SUBST(LIB_KSYCOCA, "-lksycoca")
    AC_SUBST(LIB_SMB, "-lsmb")
@@ -2370,10 +2370,10 @@
    AC_SUBST(LIB_KHTML, "-lkhtml")
    AC_SUBST(LIB_KSPELL, "-lkspell")
    AC_SUBST(LIB_KPARTS, "-lkparts")
-   AC_SUBST(LIB_TDEPRINT, "-ltdeprint")
+   AC_SUBST(LIB_TDEPRINT, "-lkdeprint")
 else
-   AC_SUBST(LIB_TDECORE, "-ltdecore -lXext $(LIB_QT)")
-   AC_SUBST(LIB_TDEUI, "-ltdeui $(LIB_TDECORE)")
+   AC_SUBST(LIB_TDECORE, "-lkdecore -lXext $(LIB_QT)")
+   AC_SUBST(LIB_TDEUI, "-lkdeui $(LIB_TDECORE)")
    AC_SUBST(LIB_KFM, "-lkfm $(LIB_TDECORE)")
    AC_SUBST(LIB_KFILE, "-lkfile $(LIB_KFM) $(LIB_TDEUI)")
    AC_SUBST(LIB_KAB, "-lkab $(LIB_KIMGIO) $(LIB_TDECORE)")
@@ -5476,13 +5476,13 @@
 
   KDE_SET_DEFAULT_BINDIRS
   if test "x$prefix" = "xNONE"; then
-    dnl no prefix given: look for tde-config in the PATH and deduce the prefix from it
-    KDE_FIND_PATH(tde-config, KDECONFIG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(tde-config)], [], prepend)
+    dnl no prefix given: look for kde-config in the PATH and deduce the prefix from it
+    KDE_FIND_PATH(kde-config, KDECONFIG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(kde-config)], [], prepend)
   else
-    dnl prefix given: look for tde-config, preferrably in prefix, otherwise in PATH
+    dnl prefix given: look for kde-config, preferrably in prefix, otherwise in PATH
     kde_save_PATH="$PATH"
     PATH="$exec_prefix/bin:$prefix/bin:$PATH"
-    KDE_FIND_PATH(tde-config, KDECONFIG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(tde-config)], [], prepend)
+    KDE_FIND_PATH(kde-config, KDECONFIG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(kde-config)], [], prepend)
     PATH="$kde_save_PATH"
   fi
 
@@ -5498,7 +5498,7 @@
   AC_MSG_CHECKING([where to install])
   if test "x$prefix" = "xNONE"; then
     prefix=$kde_libs_prefix
-    AC_MSG_RESULT([$prefix (as returned by tde-config)])
+    AC_MSG_RESULT([$prefix (as returned by kde-config)])
   else
     dnl --prefix was given. Compare prefixes and warn (in configure.in.bot.end) if different
     given_prefix=$prefix
diff -uNr /dat_f/tde/tde/main/applications/krename/admin/cvs.sh krename/admin/cvs.sh
--- /dat_f/tde/tde/main/applications/krename/admin/cvs.sh	2012-06-28 14:49:44.099881290 -0500
+++ krename/admin/cvs.sh	2012-08-08 14:58:06.599246117 -0500
@@ -543,9 +543,9 @@
    fi
    perl -e '$mes=0; while (<STDIN>) { next if (/^(if\s|else\s|endif)/); if (/^messages:/) { $mes=1; print $_; next; } if ($mes) { if (/$\\(XGETTEXT\)/ && / -o/) { s/ -o \$\(podir\)/ _translatorinfo.cpp -o \$\(podir\)/ } print $_; } else { print $_; } }' < Makefile.am | egrep -v '^include ' > _transMakefile
 
-   kdepotpath=${includedir:-`tde-config --expandvars --install include`}/kde.pot
+   kdepotpath=${includedir:-`kde-config --expandvars --install include`}/kde.pot
    if ! test -f $kdepotpath; then
-	kdepotpath=`tde-config --expandvars --prefix`/include/kde.pot
+	kdepotpath=`kde-config --expandvars --prefix`/include/kde.pot
    fi
 
    $MAKE -s -f _transMakefile podir=$podir EXTRACTRC="$EXTRACTRC" PREPARETIPS="$PREPARETIPS" srcdir=. \
diff -uNr /dat_f/tde/tde/main/applications/krename/krename/Makefile.am krename/krename/Makefile.am
--- /dat_f/tde/tde/main/applications/krename/krename/Makefile.am	2012-02-17 09:33:00.000000000 -0600
+++ krename/krename/Makefile.am	2012-08-08 14:58:23.598240245 -0500
@@ -18,7 +18,7 @@
 
 # the application source, library search path, and link libraries
 
-krename_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_KIO) -lktexteditor
+krename_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -lkdefx $(LIB_KIO) -lktexteditor
 krename_LDADD =$(LIB_KPARTS) $(LIB_KFILE) $(LIB_TDEUI) $(LIB_TDECORE) $(LIB_QT) $(LIBSOCKET)
 
 noinst_HEADERS = ProgressDialog.h dateplugin.h fileplugin.h kmylistbox.h krenameimpl.h \
diff -uNr /dat_f/tde/tde/main/applications/krename/krename/batchrenamer.cpp krename/krename/batchrenamer.cpp
--- /dat_f/tde/tde/main/applications/krename/krename/batchrenamer.cpp	2012-03-01 17:11:26.064868320 -0600
+++ krename/krename/batchrenamer.cpp	2012-08-08 14:58:51.203275230 -0500
@@ -493,7 +493,7 @@
     
     if( text[pos] == '{' && (end = text.find( "}", pos )) > -1)
     {
-        //tqDebug("Found an appendix:" + appendix );
+        //qDebug("Found an appendix:" + appendix );
         appendix = text.mid( pos + 1, end - pos - 1);
         text.remove( pos, end - pos + 1 );
        
@@ -848,7 +848,7 @@
             url.addPath( unEscape( d ) );
             if( !NetAccess::exists( url ) && !NetAccess::mkdir( url ) )
                 // TODO: GUI bug report
-                tqDebug("Can't create %s", url.prettyURL().latin1() ); 
+                qDebug("Can't create %s", url.prettyURL().latin1() ); 
 
             f->dst.url.addPath( d );
             f->dst.directory.append( d + "/" );
diff -uNr /dat_f/tde/tde/main/applications/krename/krename/dsdirselectdialog.cpp krename/krename/dsdirselectdialog.cpp
--- /dat_f/tde/tde/main/applications/krename/krename/dsdirselectdialog.cpp	2012-03-01 17:11:26.064868320 -0600
+++ krename/krename/dsdirselectdialog.cpp	2012-08-08 14:58:51.193275815 -0500
@@ -41,7 +41,7 @@
     if( layout() )
         layout()->add( vbox );
     else
-        tqDebug("KFileDialog does not have a layout!!!");
+        qDebug("KFileDialog does not have a layout!!!");
 
     checkDir = new TQCheckBox( i18n("Add directory names &with filenames"), vbox );
     check = new TQCheckBox( i18n("Add subdirectories &recursively"), vbox );
diff -uNr /dat_f/tde/tde/main/applications/krename/krename/kmylistbox.cpp krename/krename/kmylistbox.cpp
--- /dat_f/tde/tde/main/applications/krename/krename/kmylistbox.cpp	2012-03-01 17:11:26.064868320 -0600
+++ krename/krename/kmylistbox.cpp	2012-08-08 14:58:51.193275815 -0500
@@ -724,7 +724,7 @@
 
 void KMyListBox::paintEvent( TQPaintEvent* e )
 {
-    //   tqDebug("Updates=%i", (int)isUpdatesEnabled() );
+    //   qDebug("Updates=%i", (int)isUpdatesEnabled() );
     //if( isUpdatesEnabled() )
         KListBox::paintEvent( e );
 }
diff -uNr /dat_f/tde/tde/main/applications/krename/krename/krenameimpl.cpp krename/krename/krenameimpl.cpp
--- /dat_f/tde/tde/main/applications/krename/krename/krenameimpl.cpp	2012-06-28 14:49:43.869894634 -0500
+++ krename/krename/krenameimpl.cpp	2012-08-08 14:58:51.199942111 -0500
@@ -1174,7 +1174,7 @@
             while( (d += url.section( "/", i, i, TQString::SectionSkipEmpty )) && ! d.isEmpty() ) { // asignment here!
                 if( !KIO::NetAccess::exists( d ) && !KIO::NetAccess::mkdir( d ) )
                 {
-                    tqDebug( "Can't create %s", d.latin1() );
+                    qDebug( "Can't create %s", d.latin1() );
                     break;
                 }
                 d.append( "/" );
diff -uNr /dat_f/tde/tde/main/applications/krename/krename/profiledlg.cpp krename/krename/profiledlg.cpp
--- /dat_f/tde/tde/main/applications/krename/krename/profiledlg.cpp	2012-03-01 17:11:26.068201474 -0600
+++ krename/krename/profiledlg.cpp	2012-08-08 14:58:51.193275815 -0500
@@ -137,7 +137,7 @@
     
     if( !file.open( IO_WriteOnly ) )
     {
-        tqDebug("Cannot write to: %s", path.latin1() );
+        qDebug("Cannot write to: %s", path.latin1() );
         return;
     }
     
@@ -211,7 +211,7 @@
     
     if( !file.open( IO_ReadOnly ) )
     {
-        tqDebug("Cannot read from: %s", path.latin1() );
+        qDebug("Cannot read from: %s", path.latin1() );
         return false;
     }
 
diff -uNr /dat_f/tde/tde/main/applications/krename/krename/replacedialog.cpp krename/krename/replacedialog.cpp
--- /dat_f/tde/tde/main/applications/krename/krename/replacedialog.cpp	2012-03-24 00:59:17.003961422 -0500
+++ krename/krename/replacedialog.cpp	2012-08-08 14:59:02.342611110 -0500
@@ -192,7 +192,7 @@
 {
     TQDialog* regExpDialog = KParts::ComponentFactory::createInstanceFromQuery<TQDialog>( "KRegExpEditor/KRegExpEditor", TQString(), TQT_TQOBJECT(this) );
 
-    KRegExpEditorInterface *iface = static_cast<KRegExpEditorInterface *>( regExpDialog->tqt_cast( "KRegExpEditorInterface" ) );
+    KRegExpEditorInterface *iface = static_cast<KRegExpEditorInterface *>( regExpDialog->qt_cast( "KRegExpEditorInterface" ) );
     if ( !iface )
         return;
 