From f9535c43e319528313b324c3d73dc43eb5921104 Mon Sep 17 00:00:00 2001
From: Alexander Golubev <fatzer2@gmail.com>
Date: Tue, 12 Jan 2016 13:46:07 +0300
Subject: [PATCH] Initial cmake conversion

---
 CMakeLists.txt                    | 83 +++++++++++++++++++++++++++++++++++++++
 ConfigureChecks.cmake             | 53 +++++++++++++++++++++++++
 config.h.cmake                    |  3 ++
 doc/CMakeLists.txt                |  3 ++
 doc/da/CMakeLists.txt             |  6 +++
 doc/es/CMakeLists.txt             |  6 +++
 doc/et/CMakeLists.txt             |  6 +++
 doc/filelight/CMakeLists.txt      |  3 ++
 doc/it/CMakeLists.txt             |  6 +++
 doc/pt/CMakeLists.txt             |  6 +++
 doc/ru/CMakeLists.txt             |  6 +++
 doc/sv/CMakeLists.txt             |  6 +++
 misc/CMakeLists.txt               | 22 +++++++++++
 po/CMakeLists.txt                 |  3 ++
 po/az/CMakeLists.txt              |  3 ++
 po/bg/CMakeLists.txt              |  3 ++
 po/br/CMakeLists.txt              |  3 ++
 po/ca/CMakeLists.txt              |  3 ++
 po/cs/CMakeLists.txt              |  3 ++
 po/cy/CMakeLists.txt              |  3 ++
 po/da/CMakeLists.txt              |  3 ++
 po/de/CMakeLists.txt              |  3 ++
 po/el/CMakeLists.txt              |  3 ++
 po/en_GB/CMakeLists.txt           |  3 ++
 po/es/CMakeLists.txt              |  3 ++
 po/et/CMakeLists.txt              |  3 ++
 po/fr/CMakeLists.txt              |  3 ++
 po/ga/CMakeLists.txt              |  3 ++
 po/gl/CMakeLists.txt              |  3 ++
 po/is/CMakeLists.txt              |  3 ++
 po/it/CMakeLists.txt              |  3 ++
 po/ja/CMakeLists.txt              |  3 ++
 po/ka/CMakeLists.txt              |  3 ++
 po/lt/CMakeLists.txt              |  3 ++
 po/nb/CMakeLists.txt              |  3 ++
 po/nl/CMakeLists.txt              |  3 ++
 po/pl/CMakeLists.txt              |  3 ++
 po/pt/CMakeLists.txt              |  3 ++
 po/pt_BR/CMakeLists.txt           |  3 ++
 po/ro/CMakeLists.txt              |  3 ++
 po/ru/CMakeLists.txt              |  3 ++
 po/rw/CMakeLists.txt              |  3 ++
 po/sr/CMakeLists.txt              |  3 ++
 po/sr@Latn/CMakeLists.txt         |  3 ++
 po/sv/CMakeLists.txt              |  3 ++
 po/ta/CMakeLists.txt              |  3 ++
 po/tr/CMakeLists.txt              |  3 ++
 po/uk/CMakeLists.txt              |  3 ++
 src/CMakeLists.txt                |  4 ++
 src/app/CMakeLists.txt            | 32 +++++++++++++++
 src/part/CMakeLists.txt           | 36 +++++++++++++++++
 src/part/radialMap/CMakeLists.txt | 31 +++++++++++++++
 52 files changed, 417 insertions(+)
 create mode 100644 CMakeLists.txt
 create mode 100644 ConfigureChecks.cmake
 create mode 100644 config.h.cmake
 create mode 100644 doc/CMakeLists.txt
 create mode 100644 doc/da/CMakeLists.txt
 create mode 100644 doc/es/CMakeLists.txt
 create mode 100644 doc/et/CMakeLists.txt
 create mode 100644 doc/filelight/CMakeLists.txt
 create mode 100644 doc/it/CMakeLists.txt
 create mode 100644 doc/pt/CMakeLists.txt
 create mode 100644 doc/ru/CMakeLists.txt
 create mode 100644 doc/sv/CMakeLists.txt
 create mode 100644 misc/CMakeLists.txt
 create mode 100644 po/CMakeLists.txt
 create mode 100644 po/az/CMakeLists.txt
 create mode 100644 po/bg/CMakeLists.txt
 create mode 100644 po/br/CMakeLists.txt
 create mode 100644 po/ca/CMakeLists.txt
 create mode 100644 po/cs/CMakeLists.txt
 create mode 100644 po/cy/CMakeLists.txt
 create mode 100644 po/da/CMakeLists.txt
 create mode 100644 po/de/CMakeLists.txt
 create mode 100644 po/el/CMakeLists.txt
 create mode 100644 po/en_GB/CMakeLists.txt
 create mode 100644 po/es/CMakeLists.txt
 create mode 100644 po/et/CMakeLists.txt
 create mode 100644 po/fr/CMakeLists.txt
 create mode 100644 po/ga/CMakeLists.txt
 create mode 100644 po/gl/CMakeLists.txt
 create mode 100644 po/is/CMakeLists.txt
 create mode 100644 po/it/CMakeLists.txt
 create mode 100644 po/ja/CMakeLists.txt
 create mode 100644 po/ka/CMakeLists.txt
 create mode 100644 po/lt/CMakeLists.txt
 create mode 100644 po/nb/CMakeLists.txt
 create mode 100644 po/nl/CMakeLists.txt
 create mode 100644 po/pl/CMakeLists.txt
 create mode 100644 po/pt/CMakeLists.txt
 create mode 100644 po/pt_BR/CMakeLists.txt
 create mode 100644 po/ro/CMakeLists.txt
 create mode 100644 po/ru/CMakeLists.txt
 create mode 100644 po/rw/CMakeLists.txt
 create mode 100644 po/sr/CMakeLists.txt
 create mode 100644 po/sr@Latn/CMakeLists.txt
 create mode 100644 po/sv/CMakeLists.txt
 create mode 100644 po/ta/CMakeLists.txt
 create mode 100644 po/tr/CMakeLists.txt
 create mode 100644 po/uk/CMakeLists.txt
 create mode 100644 src/CMakeLists.txt
 create mode 100644 src/app/CMakeLists.txt
 create mode 100644 src/part/CMakeLists.txt
 create mode 100644 src/part/radialMap/CMakeLists.txt

diff --git a/CMakeLists.txt b/CMakeLists.txt
new file mode 100644
index 0000000..e3233a0
--- /dev/null
+++ b/CMakeLists.txt
@@ -0,0 +1,83 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+cmake_minimum_required( VERSION 2.8 )
+
+
+##### general package setup #####################
+
+project( filelight )
+
+
+##### include essential cmake modules ###########
+
+include( FindPkgConfig )
+include( CheckIncludeFile )
+include( CheckLibraryExists )
+# @Add othere required cmake modules here@
+#
+# EXAMPLE:
+# include( CheckTypeSize )
+# include( CheckCSourceCompiles )
+# include( CheckCXXSourceCompiles )
+
+
+##### include our cmake modules #################
+
+set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
+include( TDEMacros )
+
+
+##### setup install paths #######################
+
+include( TDESetupPaths )
+tde_setup_paths( )
+
+
+##### optional stuff ############################
+
+# EXAMPLE:
+# option( WITH_XSCREENSAVER "Enable xscreensaver support" ${WITH_ALL_OPTIONS} )
+
+
+##### user requested modules ####################
+
+option( BUILD_DOC "Build documentation" ON )
+option( BUILD_TRANSLATIONS "Build translations" ON )
+
+
+##### configure checks ##########################
+
+include( ConfigureChecks.cmake )
+
+
+###### global compiler settings #################
+
+add_definitions(
+  -DHAVE_CONFIG_H
+)
+
+set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
+set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )
+
+
+##### filelight directories #####################
+
+add_subdirectory( src )
+add_subdirectory( misc )
+tde_conditional_add_subdirectory( BUILD_DOC doc )
+tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+
+
+##### write configure files #####################
+
+configure_file( config.h.cmake config.h @ONLY )
diff --git a/ConfigureChecks.cmake b/ConfigureChecks.cmake
new file mode 100644
index 0000000..df74bc5
--- /dev/null
+++ b/ConfigureChecks.cmake
@@ -0,0 +1,53 @@
+#################################################
+#
+#  (C) 2012 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+##### check for gcc visibility support #########
+# FIXME
+# This should check for [T]Qt3 visibility support
+
+if( WITH_GCC_VISIBILITY )
+  if( NOT UNIX )
+    tde_message_fatal(FATAL_ERROR "\ngcc visibility support was requested, but your system is not *NIX" )
+  endif( NOT UNIX )
+  set( __KDE_HAVE_GCC_VISIBILITY 1 )
+  set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
+  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
+endif( WITH_GCC_VISIBILITY )
+
+
+tde_setup_architecture_flags( )
+
+# XScreenSaver
+if( BUILD_KONVERSATION AND WITH_XSCREENSAVER )
+  pkg_search_module( XSCREENSAVER xscrnsaver )
+  if( XSCREENSAVER_FOUND )
+    set( HAVE_XSCREENSAVER 1 )
+  else( XSCREENSAVER_FOUND )
+    tde_message_fatal( "xscreensaver is requested, but was not found on your system" )
+  endif( )
+endif( BUILD_KONVERSATION AND WITH_XSCREENSAVER )
+
+# gettext
+if( BUILD_TRANSLATIONS )
+  include( FindGettext )
+  if( GETTEXT_FOUND )
+    set( MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} 
+      CACHE FILEPATH "path to msgfmt executable" )
+  endif( GETTEXT_FOUND )
+  
+  if( NOT MSGFMT_EXECUTABLE )
+    tde_message_fatal( "msgfmt is required but was not found on your system." )
+  endif( NOT MSGFMT_EXECUTABLE )
+endif( BUILD_TRANSLATIONS )
+
+# required stuff
+find_package( TQt )
+find_package( TDE )
diff --git a/config.h.cmake b/config.h.cmake
new file mode 100644
index 0000000..1154d90
--- /dev/null
+++ b/config.h.cmake
@@ -0,0 +1,3 @@
+#cmakedefine VERSION "@VERSION@"
+
+#cmakedefine HAVE_MNTENT_H
diff --git a/doc/CMakeLists.txt b/doc/CMakeLists.txt
new file mode 100644
index 0000000..03be086
--- /dev/null
+++ b/doc/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_auto_add_subdirectories( )
diff --git a/doc/da/CMakeLists.txt b/doc/da/CMakeLists.txt
new file mode 100644
index 0000000..c1f321d
--- /dev/null
+++ b/doc/da/CMakeLists.txt
@@ -0,0 +1,6 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_handbook(
+  DESTINATION filelight
+  LANG da
+)
diff --git a/doc/es/CMakeLists.txt b/doc/es/CMakeLists.txt
new file mode 100644
index 0000000..a03ff0d
--- /dev/null
+++ b/doc/es/CMakeLists.txt
@@ -0,0 +1,6 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_handbook(
+  DESTINATION filelight
+  LANG es
+)
diff --git a/doc/et/CMakeLists.txt b/doc/et/CMakeLists.txt
new file mode 100644
index 0000000..b3b7df1
--- /dev/null
+++ b/doc/et/CMakeLists.txt
@@ -0,0 +1,6 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_handbook(
+  DESTINATION filelight
+  LANG et
+)
diff --git a/doc/filelight/CMakeLists.txt b/doc/filelight/CMakeLists.txt
new file mode 100644
index 0000000..b003b84
--- /dev/null
+++ b/doc/filelight/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+tde_create_handbook( DESTINATION filelight  )
+
diff --git a/doc/it/CMakeLists.txt b/doc/it/CMakeLists.txt
new file mode 100644
index 0000000..e7048bc
--- /dev/null
+++ b/doc/it/CMakeLists.txt
@@ -0,0 +1,6 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_handbook(
+  DESTINATION filelight
+  LANG it
+)
diff --git a/doc/pt/CMakeLists.txt b/doc/pt/CMakeLists.txt
new file mode 100644
index 0000000..de1cfbe
--- /dev/null
+++ b/doc/pt/CMakeLists.txt
@@ -0,0 +1,6 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_handbook(
+  DESTINATION filelight
+  LANG pt
+)
diff --git a/doc/ru/CMakeLists.txt b/doc/ru/CMakeLists.txt
new file mode 100644
index 0000000..53e1dfd
--- /dev/null
+++ b/doc/ru/CMakeLists.txt
@@ -0,0 +1,6 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_handbook(
+  DESTINATION filelight
+  LANG ru
+)
diff --git a/doc/sv/CMakeLists.txt b/doc/sv/CMakeLists.txt
new file mode 100644
index 0000000..4c95fb8
--- /dev/null
+++ b/doc/sv/CMakeLists.txt
@@ -0,0 +1,6 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_handbook(
+  DESTINATION filelight
+  LANG sv
+)
diff --git a/misc/CMakeLists.txt b/misc/CMakeLists.txt
new file mode 100644
index 0000000..065943e
--- /dev/null
+++ b/misc/CMakeLists.txt
@@ -0,0 +1,22 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_install_icons( )
+
+
+##### other data ################################
+
+install( FILES filelight_part.desktop
+  DESTINATION ${SERVICES_INSTALL_DIR}
+)
+
+install( FILES filelight.desktop
+  DESTINATION ${XDG_APPS_INSTALL_DIR}
+)
+
+install( FILES filelightrc
+  DESTINATION ${CONFIG_INSTALL_DIR}
+)
+
+install( FILES filelight_partui.rc filelightui.rc
+  DESTINATION ${DATA_INSTALL_DIR}/filelight
+)
diff --git a/po/CMakeLists.txt b/po/CMakeLists.txt
new file mode 100644
index 0000000..03be086
--- /dev/null
+++ b/po/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_auto_add_subdirectories( )
diff --git a/po/az/CMakeLists.txt b/po/az/CMakeLists.txt
new file mode 100644
index 0000000..73387bc
--- /dev/null
+++ b/po/az/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG az )
diff --git a/po/bg/CMakeLists.txt b/po/bg/CMakeLists.txt
new file mode 100644
index 0000000..fd895fd
--- /dev/null
+++ b/po/bg/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG bg )
diff --git a/po/br/CMakeLists.txt b/po/br/CMakeLists.txt
new file mode 100644
index 0000000..a9b94b9
--- /dev/null
+++ b/po/br/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG br )
diff --git a/po/ca/CMakeLists.txt b/po/ca/CMakeLists.txt
new file mode 100644
index 0000000..c7b6527
--- /dev/null
+++ b/po/ca/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG ca )
diff --git a/po/cs/CMakeLists.txt b/po/cs/CMakeLists.txt
new file mode 100644
index 0000000..aff5e9f
--- /dev/null
+++ b/po/cs/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG cs )
diff --git a/po/cy/CMakeLists.txt b/po/cy/CMakeLists.txt
new file mode 100644
index 0000000..ecb92aa
--- /dev/null
+++ b/po/cy/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG cy )
diff --git a/po/da/CMakeLists.txt b/po/da/CMakeLists.txt
new file mode 100644
index 0000000..f97412f
--- /dev/null
+++ b/po/da/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG da )
diff --git a/po/de/CMakeLists.txt b/po/de/CMakeLists.txt
new file mode 100644
index 0000000..bfe26e1
--- /dev/null
+++ b/po/de/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG de )
diff --git a/po/el/CMakeLists.txt b/po/el/CMakeLists.txt
new file mode 100644
index 0000000..534209a
--- /dev/null
+++ b/po/el/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG el )
diff --git a/po/en_GB/CMakeLists.txt b/po/en_GB/CMakeLists.txt
new file mode 100644
index 0000000..3aed56a
--- /dev/null
+++ b/po/en_GB/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG en_GB )
diff --git a/po/es/CMakeLists.txt b/po/es/CMakeLists.txt
new file mode 100644
index 0000000..180d5b2
--- /dev/null
+++ b/po/es/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG es )
diff --git a/po/et/CMakeLists.txt b/po/et/CMakeLists.txt
new file mode 100644
index 0000000..6bf33cc
--- /dev/null
+++ b/po/et/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG et )
diff --git a/po/fr/CMakeLists.txt b/po/fr/CMakeLists.txt
new file mode 100644
index 0000000..cf66cc2
--- /dev/null
+++ b/po/fr/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG fr )
diff --git a/po/ga/CMakeLists.txt b/po/ga/CMakeLists.txt
new file mode 100644
index 0000000..ee761c5
--- /dev/null
+++ b/po/ga/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG ga )
diff --git a/po/gl/CMakeLists.txt b/po/gl/CMakeLists.txt
new file mode 100644
index 0000000..e86c246
--- /dev/null
+++ b/po/gl/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG gl )
diff --git a/po/is/CMakeLists.txt b/po/is/CMakeLists.txt
new file mode 100644
index 0000000..162fdf0
--- /dev/null
+++ b/po/is/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG is )
diff --git a/po/it/CMakeLists.txt b/po/it/CMakeLists.txt
new file mode 100644
index 0000000..4342d60
--- /dev/null
+++ b/po/it/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG it )
diff --git a/po/ja/CMakeLists.txt b/po/ja/CMakeLists.txt
new file mode 100644
index 0000000..120c5e3
--- /dev/null
+++ b/po/ja/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG ja )
diff --git a/po/ka/CMakeLists.txt b/po/ka/CMakeLists.txt
new file mode 100644
index 0000000..bf86c40
--- /dev/null
+++ b/po/ka/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG ka )
diff --git a/po/lt/CMakeLists.txt b/po/lt/CMakeLists.txt
new file mode 100644
index 0000000..c9e1525
--- /dev/null
+++ b/po/lt/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG lt )
diff --git a/po/nb/CMakeLists.txt b/po/nb/CMakeLists.txt
new file mode 100644
index 0000000..9f9a2a4
--- /dev/null
+++ b/po/nb/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG nb )
diff --git a/po/nl/CMakeLists.txt b/po/nl/CMakeLists.txt
new file mode 100644
index 0000000..cf6f6b5
--- /dev/null
+++ b/po/nl/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG nl )
diff --git a/po/pl/CMakeLists.txt b/po/pl/CMakeLists.txt
new file mode 100644
index 0000000..509a4b3
--- /dev/null
+++ b/po/pl/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG pl )
diff --git a/po/pt/CMakeLists.txt b/po/pt/CMakeLists.txt
new file mode 100644
index 0000000..7f64a93
--- /dev/null
+++ b/po/pt/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG pt )
diff --git a/po/pt_BR/CMakeLists.txt b/po/pt_BR/CMakeLists.txt
new file mode 100644
index 0000000..02c6b68
--- /dev/null
+++ b/po/pt_BR/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG pt_BR )
diff --git a/po/ro/CMakeLists.txt b/po/ro/CMakeLists.txt
new file mode 100644
index 0000000..080cf35
--- /dev/null
+++ b/po/ro/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG ro )
diff --git a/po/ru/CMakeLists.txt b/po/ru/CMakeLists.txt
new file mode 100644
index 0000000..67183e3
--- /dev/null
+++ b/po/ru/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG ru )
diff --git a/po/rw/CMakeLists.txt b/po/rw/CMakeLists.txt
new file mode 100644
index 0000000..3381e0a
--- /dev/null
+++ b/po/rw/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG rw )
diff --git a/po/sr/CMakeLists.txt b/po/sr/CMakeLists.txt
new file mode 100644
index 0000000..7dc96c5
--- /dev/null
+++ b/po/sr/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG sr )
diff --git a/po/sr@Latn/CMakeLists.txt b/po/sr@Latn/CMakeLists.txt
new file mode 100644
index 0000000..ba4b10c
--- /dev/null
+++ b/po/sr@Latn/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG sr@Latn )
diff --git a/po/sv/CMakeLists.txt b/po/sv/CMakeLists.txt
new file mode 100644
index 0000000..5f0ac30
--- /dev/null
+++ b/po/sv/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG sv )
diff --git a/po/ta/CMakeLists.txt b/po/ta/CMakeLists.txt
new file mode 100644
index 0000000..49d3666
--- /dev/null
+++ b/po/ta/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG ta )
diff --git a/po/tr/CMakeLists.txt b/po/tr/CMakeLists.txt
new file mode 100644
index 0000000..7b05c30
--- /dev/null
+++ b/po/tr/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG tr )
diff --git a/po/uk/CMakeLists.txt b/po/uk/CMakeLists.txt
new file mode 100644
index 0000000..90a013a
--- /dev/null
+++ b/po/uk/CMakeLists.txt
@@ -0,0 +1,3 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+tde_create_translation( LANG uk )
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
new file mode 100644
index 0000000..405d5ab
--- /dev/null
+++ b/src/CMakeLists.txt
@@ -0,0 +1,4 @@
+# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
+
+add_subdirectory( app )
+add_subdirectory( part )
diff --git a/src/app/CMakeLists.txt b/src/app/CMakeLists.txt
new file mode 100644
index 0000000..a374204
--- /dev/null
+++ b/src/app/CMakeLists.txt
@@ -0,0 +1,32 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/src
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### filelight (executable) ####################
+
+tde_add_executable( filelight AUTOMOC
+  SOURCES historyAction.cpp mainWindow.cpp main.cpp
+  LINK tdeui-shared tdeparts-shared
+  DESTINATION ${BIN_INSTALL_DIR}
+)
diff --git a/src/part/CMakeLists.txt b/src/part/CMakeLists.txt
new file mode 100644
index 0000000..8bd06ab
--- /dev/null
+++ b/src/part/CMakeLists.txt
@@ -0,0 +1,36 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+add_subdirectory( radialMap )
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/src
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### libfilelight (kpart) ######################
+
+tde_add_kpart( libfilelight AUTOMOC
+  SOURCES dialog.ui part.cpp scan.cpp progressBox.cpp Config.cpp
+    settingsDialog.cpp fileTree.cpp localLister.cpp remoteLister.cpp
+    summaryWidget.cpp
+  LINK radialmap-static tdeui-shared tdeio-shared tdeparts-shared 
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
diff --git a/src/part/radialMap/CMakeLists.txt b/src/part/radialMap/CMakeLists.txt
new file mode 100644
index 0000000..e563835
--- /dev/null
+++ b/src/part/radialMap/CMakeLists.txt
@@ -0,0 +1,31 @@
+#################################################
+#
+#  (C) 2016 Golubev Alexander
+#  fatzer2 (AT) gmail.com
+#
+#  Improvements and feedback are welcome
+#
+#  This file is released under GPL >= 2
+#
+#################################################
+
+include_directories(
+  ${CMAKE_BINARY_DIR}
+  ${CMAKE_SOURCE_DIR}/src/part
+  ${CMAKE_CURRENT_BINARY_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  ${TDE_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIRS}
+)
+
+link_directories(
+  ${TQT_LIBRARY_DIRS}
+)
+
+
+##### radialmap (static) ########################
+
+tde_add_library( radialmap STATIC_PIC AUTOMOC
+  SOURCES widget.cpp builder.cpp map.cpp widgetEvents.cpp labels.cpp
+    segmentTip.cpp
+)
-- 
2.4.10