From 6dc62821e398e5b903d535764af8ac3f463b1bf5 Mon Sep 17 00:00:00 2001
From: Alexander Golubev <fatzer2@gmail.com>
Date: Thu, 25 Feb 2016 08:38:55 +0300
Subject: [PATCH 2/2] cmake: install library headers

---
 libk3b/cddb/CMakeLists.txt              |  7 +++++++
 libk3b/core/CMakeLists.txt              | 10 ++++++++++
 libk3b/jobs/CMakeLists.txt              | 16 ++++++++++++++++
 libk3b/plugin/CMakeLists.txt            |  9 +++++++++
 libk3b/projects/CMakeLists.txt          |  9 +++++++++
 libk3b/projects/audiocd/CMakeLists.txt  |  9 +++++++++
 libk3b/projects/datacd/CMakeLists.txt   |  8 ++++++++
 libk3b/projects/datadvd/CMakeLists.txt  |  7 +++++++
 libk3b/projects/mixedcd/CMakeLists.txt  |  7 +++++++
 libk3b/projects/movixcd/CMakeLists.txt  |  4 ++++
 libk3b/projects/movixdvd/CMakeLists.txt |  7 +++++++
 libk3b/projects/videocd/CMakeLists.txt  |  7 +++++++
 libk3b/projects/videodvd/CMakeLists.txt |  7 +++++++
 libk3b/tools/CMakeLists.txt             | 19 +++++++++++++++++++
 libk3b/videodvd/CMakeLists.txt          |  9 +++++++++
 libk3bdevice/CMakeLists.txt             |  9 +++++++++
 16 files changed, 144 insertions(+)

diff --git a/libk3b/cddb/CMakeLists.txt b/libk3b/cddb/CMakeLists.txt
index 9cebff4..921c121 100644
--- a/libk3b/cddb/CMakeLists.txt
+++ b/libk3b/cddb/CMakeLists.txt
@@ -34,3 +34,10 @@ tde_add_library( cddb STATIC_PIC AUTOMOC
     k3bcddbpquery.cpp k3bcddblocalquery.cpp k3bcddbsubmit.cpp
     k3bcddblocalsubmit.cpp k3bcddbmultientriesdialog.cpp
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bcddb.h k3bcddbresult.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/core/CMakeLists.txt b/libk3b/core/CMakeLists.txt
index 95b0531..c80f0cd 100644
--- a/libk3b/core/CMakeLists.txt
+++ b/libk3b/core/CMakeLists.txt
@@ -33,3 +33,13 @@ tde_add_library( k3bcore STATIC_PIC AUTOMOC
     k3bthread.cpp k3bthreadjob.cpp k3bglobalsettings.cpp
     k3bsimplejobhandler.cpp
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bcore.h k3bdefaultexternalprograms.h k3bexternalbinmanager.h
+    k3bprocess.h k3bversion.h k3bglobals.h k3bjob.h k3bthread.h
+    k3bthreadjob.h k3bglobalsettings.h k3bjobhandler.h
+    k3b_export.h k3bsimplejobhandler.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/jobs/CMakeLists.txt b/libk3b/jobs/CMakeLists.txt
index a6b59c4..9e444d9 100644
--- a/libk3b/jobs/CMakeLists.txt
+++ b/libk3b/jobs/CMakeLists.txt
@@ -45,3 +45,19 @@ tde_add_library( jobs STATIC_PIC AUTOMOC
     k3biso9660imagewritingjob.cpp k3bdvdformattingjob.cpp k3bblankingjob.cpp
     k3bclonetocreader.cpp k3bverificationjob.cpp ${VIDEODVDRIP_SOURCES}
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bcdcopyjob.h k3bdvdcopyjob.h k3bclonejob.h
+	k3baudiocuefilewritingjob.h k3bbinimagewritingjob.h
+	k3biso9660imagewritingjob.h k3bdvdformattingjob.h
+	k3bblankingjob.h k3bverificationjob.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
+
+if ( WITH_LIBDVDREAD )
+  install( FILES k3bvideodvdtitletranscodingjob.h k3bvideodvdtitledetectclippingjob.h
+    DESTINATION ${INCLUDE_INSTALL_DIR}
+  )
+endif ( WITH_LIBDVDREAD )
diff --git a/libk3b/plugin/CMakeLists.txt b/libk3b/plugin/CMakeLists.txt
index 7aa0ae1..5c7e033 100644
--- a/libk3b/plugin/CMakeLists.txt
+++ b/libk3b/plugin/CMakeLists.txt
@@ -46,3 +46,12 @@ tde_add_library( k3bplugin STATIC_PIC AUTOMOC
   SOURCES ${k3bplugin_SOURCES}
   LINK ${LIBSAMPLERATE_LIBRARIES}
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bplugin.h k3bpluginfactory.h k3bpluginmanager.h
+    k3baudiodecoder.h k3baudioencoder.h k3bpluginconfigwidget.h
+    k3baudiooutputplugin.h k3bprojectplugin.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/projects/CMakeLists.txt b/libk3b/projects/CMakeLists.txt
index 2c7d28f..b0a60e4 100644
--- a/libk3b/projects/CMakeLists.txt
+++ b/libk3b/projects/CMakeLists.txt
@@ -50,3 +50,12 @@ tde_add_library( k3bproject STATIC_PIC AUTOMOC
     k3btocfilewriter.cpp k3bimagefilereader.cpp k3bcuefileparser.cpp
     k3bpipebuffer.cpp
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bdoc.h k3bgrowisofswriter.h k3bcdrdaowriter.h
+    k3bcdrecordwriter.h k3binffilewriter.h k3btocfilewriter.h
+    k3bcuefileparser.h k3bimagefilereader.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/projects/audiocd/CMakeLists.txt b/libk3b/projects/audiocd/CMakeLists.txt
index a6f81f1..65438b6 100644
--- a/libk3b/projects/audiocd/CMakeLists.txt
+++ b/libk3b/projects/audiocd/CMakeLists.txt
@@ -37,3 +37,12 @@ tde_add_library( audio STATIC_PIC AUTOMOC
     k3baudiocdtracksource.cpp k3baudiocdtrackdrag.cpp
     k3baudiodatasourceiterator.cpp
 )
+
+
+##### Headers ###################################
+
+install( FILES k3baudiodoc.h k3baudiojob.h k3baudiocdtrackdrag.h
+    k3baudiotrack.h k3baudiodatasource.h k3baudiofile.h k3baudiozerodata.h
+    k3baudiocdtracksource.h k3baudiodatasourceiterator.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/projects/datacd/CMakeLists.txt b/libk3b/projects/datacd/CMakeLists.txt
index c47b129..4958849 100644
--- a/libk3b/projects/datacd/CMakeLists.txt
+++ b/libk3b/projects/datacd/CMakeLists.txt
@@ -36,3 +36,11 @@ tde_add_library( data STATIC_PIC AUTOMOC
     k3bisooptions.cpp k3bfilecompilationsizehandler.cpp
     k3bsessionimportitem.cpp k3bmkisofshandler.cpp k3bdatapreparationjob.cpp
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bdatadoc.h k3bdatajob.h k3bdataitem.h k3bdiritem.h
+    k3bfileitem.h k3bbootitem.h k3bisooptions.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/projects/datadvd/CMakeLists.txt b/libk3b/projects/datadvd/CMakeLists.txt
index 6e6f006..ba9a607 100644
--- a/libk3b/projects/datadvd/CMakeLists.txt
+++ b/libk3b/projects/datadvd/CMakeLists.txt
@@ -33,3 +33,10 @@ link_directories(
 tde_add_library( dvd STATIC_PIC AUTOMOC
   SOURCES k3bdvddoc.cpp k3bdvdjob.cpp k3bdvdbooktypejob.cpp
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bdvddoc.h k3bdvdjob.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/projects/mixedcd/CMakeLists.txt b/libk3b/projects/mixedcd/CMakeLists.txt
index d00012c..8c22cbc 100644
--- a/libk3b/projects/mixedcd/CMakeLists.txt
+++ b/libk3b/projects/mixedcd/CMakeLists.txt
@@ -33,3 +33,10 @@ link_directories(
 tde_add_library( mixed STATIC_PIC AUTOMOC
   SOURCES k3bmixeddoc.cpp k3bmixedjob.cpp
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bmixeddoc.h k3bmixedjob.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/projects/movixcd/CMakeLists.txt b/libk3b/projects/movixcd/CMakeLists.txt
index 7d3494f..2cca73d 100644
--- a/libk3b/projects/movixcd/CMakeLists.txt
+++ b/libk3b/projects/movixcd/CMakeLists.txt
@@ -35,3 +35,7 @@ tde_add_library( movix STATIC_PIC AUTOMOC
   SOURCES k3bmovixprogram.cpp k3bmovixdoc.cpp k3bmovixjob.cpp
     k3bmovixfileitem.cpp k3bmovixdocpreparer.cpp
 )
+
+install( FILES k3bmovixdoc.h k3bmovixjob.h k3bmovixfileitem.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/projects/movixdvd/CMakeLists.txt b/libk3b/projects/movixdvd/CMakeLists.txt
index 09d01ee..4bb3323 100644
--- a/libk3b/projects/movixdvd/CMakeLists.txt
+++ b/libk3b/projects/movixdvd/CMakeLists.txt
@@ -34,3 +34,10 @@ link_directories(
 tde_add_library( movixdvd STATIC_PIC AUTOMOC
   SOURCES k3bmovixdvddoc.cpp k3bmovixdvdjob.cpp
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bmovixdvddoc.h k3bmovixdvdjob.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/projects/videocd/CMakeLists.txt b/libk3b/projects/videocd/CMakeLists.txt
index 8a3e2ad..952512a 100644
--- a/libk3b/projects/videocd/CMakeLists.txt
+++ b/libk3b/projects/videocd/CMakeLists.txt
@@ -44,3 +44,10 @@ tde_add_library( vcd STATIC_PIC AUTOMOC
   SOURCES k3bvcddoc.cpp k3bvcdtrack.cpp k3bvcdjob.cpp k3bvcdoptions.cpp
     k3bvcdxmlview.cpp
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bvcdjob.h k3bvcddoc.h k3bvcdoptions.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/projects/videodvd/CMakeLists.txt b/libk3b/projects/videodvd/CMakeLists.txt
index 3c91d0b..e5dd485 100644
--- a/libk3b/projects/videodvd/CMakeLists.txt
+++ b/libk3b/projects/videodvd/CMakeLists.txt
@@ -34,3 +34,10 @@ tde_add_library( videodvd STATIC_PIC AUTOMOC
   SOURCES k3bvideodvddoc.cpp k3bvideodvdjob.cpp k3bvideodvdimager.cpp
     k3bvideodvddoc.h k3bvideodvdjob.h
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bvideodvddoc.h k3bvideodvdjob.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/tools/CMakeLists.txt b/libk3b/tools/CMakeLists.txt
index cd24070..99b0573 100644
--- a/libk3b/tools/CMakeLists.txt
+++ b/libk3b/tools/CMakeLists.txt
@@ -44,3 +44,22 @@ tde_add_library( k3btools STATIC_PIC AUTOMOC
     k3bdirsizejob.cpp k3brichtextlabel.cpp k3btempfile.cpp k3bactivepipe.cpp
     k3bfilesplitter.cpp k3bfilesysteminfo.cpp
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bwavefilewriter.h k3bbusywidget.h k3bdeviceselectiondialog.h
+    k3bmd5job.h k3bcutcombobox.h k3bstringutils.h
+    k3bdevicecombobox.h kcutlabel.h k3bstdguiitems.h
+    k3bvalidators.h k3bthroughputestimator.h k3biso9660.h
+    k3bmultichoicedialog.h k3bdevicehandler.h k3bcdparanoialib.h
+    k3blistview.h k3bmsfedit.h k3bcdtextvalidator.h
+    k3bintvalidator.h k3bexceptions.h k3bprogressdialog.h
+    k3btoolbox.h k3bpushbutton.h k3blistviewitemanimator.h
+    k3bthreadwidget.h k3bradioaction.h k3bsignalwaiter.h
+    k3biso9660backend.h k3bpipe.h k3bdirsizejob.h
+    k3bchecksumpipe.h k3btoolbutton.h k3bintmapcombobox.h
+    k3brichtextlabel.h  k3btempfile.h k3bactivepipe.h
+    k3bfilesplitter.h k3bfilesysteminfo.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3b/videodvd/CMakeLists.txt b/libk3b/videodvd/CMakeLists.txt
index 2ace0b3..465823b 100644
--- a/libk3b/videodvd/CMakeLists.txt
+++ b/libk3b/videodvd/CMakeLists.txt
@@ -32,3 +32,12 @@ tde_add_library( videodvdrip STATIC_PIC AUTOMOC
   SOURCES k3bvideodvd.cpp k3bvideodvdtime.cpp k3bvideodvdvideostream.cpp
   LINK ${LIBDVDREAD_LIBRARIES}
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bvideodvd.h k3bvideodvdtitle.h k3bvideodvdaudiostream.h
+    k3bvideodvdsubpicturestream.h k3bvideodvdvideostream.h k3bvideodvdtime.h
+    k3bvideodvdptt.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
diff --git a/libk3bdevice/CMakeLists.txt b/libk3bdevice/CMakeLists.txt
index b253b78..cfb0e29 100644
--- a/libk3bdevice/CMakeLists.txt
+++ b/libk3bdevice/CMakeLists.txt
@@ -34,3 +34,12 @@ tde_add_library( k3bdevice SHARED AUTOMOC
   LINK tdecore-shared
   DESTINATION ${LIB_INSTALL_DIR}
 )
+
+
+##### Headers ###################################
+
+install( FILES k3bdevicemanager.h k3bdevice.h k3btoc.h k3btrack.h
+    k3bdeviceglobals.h k3bdiskinfo.h k3bcdtext.h k3bmsf.h k3bdevicetypes.h
+    k3bdevice_export.h k3bhalconnection.h k3bdebug.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}
+)
-- 
2.4.10